Jump to content
Ornithology Exchange
  • 0
Dan Shustack

trouble installing TwGeos

Question

I'm just starting with handling the .lux files.  I want to bring them into TwGeos in order generate the TAGS files for FlightR. 

I am following the directions from slisovski's GitHub for TwGeos.

I'm running R version 3.5.2. I installed devtools package. When try to install TwGeos it fails.

> devtools::install_github("SLisovski/TwGeos")
Downloading GitHub repo SLisovski/TwGeos@master
WARNING: Rtools is required to build R packages, but is not currently installed.

Please download and install Rtools 3.5 from http://cran.r-project.org/bin/windows/Rtools/.
  
  
  
   checking for file 'C:\Users\a30014061\AppData\Local\Temp\RtmpqyjgQG\remotesa347e027eb5\slisovski-TwGeos-32fdd54/DESCRIPTION' ...
  
   checking for file 'C:\Users\a30014061\AppData\Local\Temp\RtmpqyjgQG\remotesa347e027eb5\slisovski-TwGeos-32fdd54/DESCRIPTION' ... 
  
√  checking for file 'C:\Users\a30014061\AppData\Local\Temp\RtmpqyjgQG\remotesa347e027eb5\slisovski-TwGeos-32fdd54/DESCRIPTION'

 
   checking DESCRIPTION meta-information ...
  
   checking DESCRIPTION meta-information ... 
  
√  checking DESCRIPTION meta-information

  
  
  
-  checking for LF line-endings in source and make files and shell scripts

  
-  checking for empty or unneeded directories

  
  
  
-  building 'TwGeos_0.0-1.tar.gz'

  
   

Installing package into ‘C:/Users/a30014061/Documents/R/win-library/3.5’
(as ‘lib’ is unspecified)
* installing *source* package 'TwGeos' ...
** R
** byte-compile and prepare package for lazy loading
Error in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]) : 
  there is no package called 'SGAT'
ERROR: lazy loading failed for package 'TwGeos'
* removing 'C:/Users/a30014061/Documents/R/win-library/3.5/TwGeos'
In R CMD INSTALL
Error in i.p(...) : 
  (converted from warning) installation of package ‘C:/Users/A30014~1/AppData/Local/Temp/RtmpqyjgQG/filea3441a7f6f/TwGeos_0.0-1.tar.gz’ had non-zero exit status
In addition: Warning messages:
1: In untar2(tarfile, files, list, exdir) :
  skipping pax global extended headers
2: In untar2(tarfile, files, list, exdir) :
  skipping pax global extended headers

I tried installing Rtools, but that is not available.

> install.packages("Rtools");
Installing package into ‘C:/Users/a30014061/Documents/R/win-library/3.5’
(as ‘lib’ is unspecified)
Warning message:
package ‘Rtools’ is not available (for R version 3.5.2) 


Any help and suggestions would be appreciated!

Thanks,

Dan

 

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Thanks, Eldar! 

I installed Rtools from the website you sent.  Then, per the subsequent error messages trying to install TwGeos, I also had to run:

install.packages("SGAT");
install.packages("zoo");
devtools::install_github("SLisovski/TwGeos");

It looks like Twgeos is successfully loaded.

> search()
 [1] ".GlobalEnv"        "package:SGAT"      "package:zoo"      
 [4] "package:TwGeos"    "package:stats"     "package:graphics" 
 [7] "package:grDevices" "package:utils"     "package:datasets" 
[10] "package:methods"   "Autoloads"         "package:base"   

Now I just have to figure out how to use it!

thanks!

Dan

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×